# iMail

[中文文档](https://github.com/mtics/iMail/README-cn.md)

## Overview

**iMail** is a straightforward and efficient email notification package built on `Python 3.8`. It supports email authentication, group mailing, and the addition of images and attachments.

## Features

* Supports group email sending.
* Allows specification of message content in multiple formats, such as plain text and HTML.
* Enables users to add images and attachments, with attachments sent in a compressed package.
* Allows customization of the maximum attachment size (in MB).

## Usage

Developed for `Python 3.8`, iMail requires the `Pillow` library.

To install the package, execute the following command in your environment:
```bash
pip install iMail
```
or
```bash
python install iMail-*-py3-none-any.whl
```

## Example

A simple example file, `demo.py`, is available in [the project on GitHub](https://github.com/mtics/iMail) for configuration guidance.

## License

This script is licensed under the [MIT License](https://github.com/mtics/iMail/LICENSE), permitting free use and distribution.
